Bug 89605 - glibc security fix makes expat stop working, break, etc.
Summary: glibc security fix makes expat stop working, break, etc.
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc   
(Show other bugs)
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL: http://xvoice.sourceforge.net/
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-04-24 21:49 UTC by Brian Vancil
Modified: 2016-11-24 15:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-05 18:42:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brian Vancil 2003-04-24 21:49:40 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4b) Gecko/20030411

Description of problem:
The xvoice program bundles expat code to parse its configuration file.  After the latest glibc security fix, (with or without rebuilding xvoice--originally built using gcc version 3.2 20020903 (Red Hat Linux 8.0 3.2-7)) running xvoice results in a "junk after document element" error from expat; consequently, xvoice works improperly.

"make CC=gcc296 CXX=g++296" works fine, though.  For a number of reasons, I'd rather compile using gcc3.

Version-Release number of selected component (if applicable):
glibc-2.3.2-4.80.6

How reproducible:
Always

Steps to Reproduce:
1.  apply glibc-2.3.2-4.80.6 to upgrade from previous release
2.  run xvoice (after building from source)
   

Actual Results:  expat should parse the xvoice.xml file correctly

Expected Results:  expat does not parse the xvoice.xml file correctly, returning a "junk after document element" error.

Additional info:

xvoice  0.9.5

output:
[bvancil@quatorze xvoice-0.9.5]$ src/xvoice
Environment set.
xvoice version 0.9.5
parseFile: junk after document element at line 924 in xvoice.xml
parseFile: junk after document element at line 404 in xvoice.xml
parseFile: junk after document element at line 404 in xvoice.xml
loadGrammars: Could not find xvoice.xml; no grammars will be available.
Looked in:

/home/bvancil/.xvoice/xvoice.xml
/usr/share/xvoice/xvoice.xml
./xvoice.xml
../xvoice.xml

Comment 1 Ulrich Drepper 2003-10-02 06:06:57 UTC
There is no way to reproduce this here.  We don't have ViaVoice.

And I sincerely doubt that this is glibc's fault.  expat or whatever is the
caller of the glibc function isn't the only user of glibc and there has been no
recorded bug report even closely resembling this.

If you still have the problem, try running ltrace and/or debug it a bit yourself.

Comment 2 Ulrich Drepper 2003-11-05 18:42:21 UTC
No response in a month.  CLosing it now.  If there is a valid problem
and you can provide more info, reopen.


Note You need to log in before you can comment on or make changes to this bug.